screendump(1)

NAME
screendump - screen dumping program for Suns

SYNOPSIS
screendump [-standard|-rle] [-x coord] [-y coord] [-X width] [-Y height] [-fb framebuffer]

DESCRIPTION

Screendump is an almost upward-compatible replacement for Sun's old screendump. It the contents of the screen and writes it out as a rasterfile.

OPTIONS

-standard
    Write the rasterfile in RT_STANDARD format. This format is generally much larger than the default run-length-encoded format, so you only want to use it when you are stuck with a rasterfile reader that doesn't support run-length-encoding.

-rle
    Write the rasterfile in RT_BYTE_ENCODED format. This is the default, so unless you have modified the source it's a no-op.

-x  The x coordinate to start the dump.

-y  The y coordinate to start the dump.

-X  The width of the dump.

-Y  The height of the dump.

-fb Use an alternate frame buffer. The default is /dev/fb.

All flags can be abbreviated to their shortest unique prefix.

SUMMARY OF DIFFERENCES

o   Old screendump used single-character flags, with combinations permitted; this version uses multi-character flags, with abbreviations permitted.

o   Old screendump used the -e and -t type flags to specify the rasterfile type; this version uses -standard and -rle.

o   Old screendump let you specify an output filename in the args; this version always writes to standard output, and you can specify the filename with the usual shell redirection syntax.

SEE ALSO
screenload(1)

AUTHOR
Copyright (C) 1991, 1993 by Jef Poskanzer <jef@netcom.com>.